CHAGE(1)

NOME
chage - cambia le informazioni sulla scadenza della password

SINTASSI

chage [-m gg_min] [-M gg_max] [-d ultimo_giorno] [-I inattività]
    [-E data_scadenza] [-W gg_avviso] utente

chage -l utente

DESCRIZIONE
chage modifica il numero minimo di giorni tra i cambi di password e la data dell'ultimo cambio. Queste informazioni sono usate dal sistema per determinare quando un utente deve cambiare la propria password.

L'uso del comando chage è permesso solo all'utente root, tranne per l'opzione -l, che può essere usata da un utente non privilegiato per conoscere la scadenza della propria password o dell'account.

OPZIONI
Il comando chage accetta le seguenti opzioni:

-d ultimo_giorno
    Imposta la data dell'ultimo cambio della password, espressa come il numero di giorni trascorsi dal 1 gennaio 1970. La data può anche essere specificata nel formato AAAA-MM-GG o nella notazione comunemente usata nel proprio paese.

-E data_scadenza
    Imposta la data in cui l'account dell'utente non sarà più accessibile. L'opzione data_scadenza indica la data in cui l'account viene bloccato, espressa come il numero di giorni trascorsi dal 1 gennaio 1970. La data può anche essere specificata nel formato AAAA-MM-GG o nella notazione comunemente usata nel proprio paese. Un utente con l'account bloccato deve contattare l'amministratore prima di poter usare ancora il sistema.

-I inattività
    Imposta il numero di giorni di inattività dopo la scadenza della password dopo i quali l'account viene bloccato. L'opzione inattività indica il numero di giorni di inattività; un valore pari a zero disabilita questa funzione. Un utente con l'account bloccato deve contattare l'amministratore prima di poter usare ancora il sistema.

-m gg_min
    Imposta il numero minimo di giorni tra i cambi di password. Un valore pari a zero indica che l'utente può cambiare la propria password in qualsiasi momento.

-M gg_max
    Imposta il numero massimo di giorni di validità di una password. Quando la somma di gg_max e gg_min è inferiore ai giorni attualmente trascorsi, l'utente è obbligato a cambiare la password prima di poter usare ancora il proprio account. Questo evento può essere reso noto in anticipo usando l'opzione -W, che fornisce un preavviso all'utente.

-W gg_avviso
    Imposta il numero di giorni di preavviso prima che sia obbligatorio cambiare la password. L'opzione gg_avviso indica il numero di giorni prima della scadenza della password in cui l'utente viene avvertito dell'imminente scadenza.

Se non viene specificata nessuna opzione, chage opera in modalità interattiva, mostrando tra parentesi quadre il valore attuale di ciascun campo e chiedendo il nuovo valore all'utente. Inserire un nuovo valore per modificare il campo, oppure lasciare la riga vuota per continuare a usare il valore attuale.

NOTA
chage richiede che il file delle shadow password sia disponibile. Non è possibile usare questo programma se le password sono memorizzate nel file passwd.

FILE
/etc/passwd    - informazioni sugli account degli utenti
/etc/shadow    - informazioni sicure sugli account degli utenti

VEDERE ANCHE
passwd(5), shadow(5)

AUTORE
Julianne Frances Haugh <jockgrrl@ix.netcom.com>

TRADUZIONE
Giuseppe Sacco <eppesuig@debian.org>, 2005
Danilo Piazzalunga <danilopiazza@libero.it>, 2005